merchant-webhook-endpoints
List delivery history for a merchant webhook endpoint
GET
/
merchants
/
{merchantId}
/
webhook-endpoints
/
{webhookEndpointId}
/
deliveries
List delivery history for a merchant webhook endpoint
curl --request GET \
--url https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"webhookDeliveryId": "<string>",
"webhookEndpointId": "<string>",
"eventType": "<string>",
"status": "pending",
"attemptCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"redeliveredFromId": "<string>",
"attempts": [
{
"attemptNumber": 123,
"attemptedAt": "2023-11-07T05:31:56Z",
"responseStatusCode": 123,
"durationMs": 123,
"errorMessage": "<string>"
}
]
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}Authorizations
Merchant API key bearer token.
Path Parameters
Webhook endpoint TypeID (whk_...) to list deliveries for.
Merchant TypeID (mer_...) owning the endpoint.
⌘I
List delivery history for a merchant webhook endpoint
curl --request GET \
--url https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"webhookDeliveryId": "<string>",
"webhookEndpointId": "<string>",
"eventType": "<string>",
"status": "pending",
"attemptCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"redeliveredFromId": "<string>",
"attempts": [
{
"attemptNumber": 123,
"attemptedAt": "2023-11-07T05:31:56Z",
"responseStatusCode": 123,
"durationMs": 123,
"errorMessage": "<string>"
}
]
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}